Package org.apache.batchee.container.status

## Class ExecutionStatus

- java.lang.Object
- - org.apache.batchee.container.status.ExecutionStatus

- Direct Known Subclasses:
    `SplitExecutionStatus`

      public class ExecutionStatus
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionStatus()` |
    `ExecutionStatus​(ExtendedBatchStatus extendedBatchStatus)` |
    `ExecutionStatus​(ExtendedBatchStatus extendedBatchStatus, String exitStatus)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExitStatus()` |
    `ExtendedBatchStatus` | `getExtendedBatchStatus()` |
    `String` | `getRestartOn()` |
    `boolean` | `isBatchStatusOnly()` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setExtendedBatchStatus​(ExtendedBatchStatus extendedBatchStatus)` |
    `void` | `setRestartOn​(String restartOn)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionStatus

          public ExecutionStatus()

    - #### ExecutionStatus

          public ExecutionStatus​(ExtendedBatchStatus extendedBatchStatus)

    - #### ExecutionStatus

          public ExecutionStatus​(ExtendedBatchStatus extendedBatchStatus,
                                 String exitStatus)

  - ### Method Detail

    - #### isBatchStatusOnly

          public boolean isBatchStatusOnly()

    - #### getExtendedBatchStatus

          public ExtendedBatchStatus getExtendedBatchStatus()

    - #### setExtendedBatchStatus

          public void setExtendedBatchStatus​(ExtendedBatchStatus extendedBatchStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getRestartOn

          public String getRestartOn()

    - #### setRestartOn

          public void setRestartOn​(String restartOn)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`